GET
/providers/Microsoft.ADHybridHealthService/addsservices/{serviceName}/alerts
https://azure.com/providers/Microsoft.ADHybridHealthService/addsservices/{serviceName}/alertsGets the alerts for a given Active Directory Domain Service.
Access Token Required: API Key
Path Parameters
serviceNamestringrequired
The name of the service.
Query Params
$filterstring
The alert property filter to apply.
statestring
The alert state to query for.
fromstring
The start date to query for.
tostring
The end date till when to query for.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'https://azure.com/providers/Microsoft.ADHybridHealthService/addsservices/{serviceName}/alerts' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}